
%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define api_version	0.4
%define lib_major	0

%define lib_name	%mklibname gepub %{lib_major}
%define gi_name		%mklibname gepub-gir %{api_version}
%define develname	%mklibname -d gepub


Name:		libgepub
Version:	0.4
Release:	%mkrel 3
Summary:	Library for epub documents

Group:		System/Libraries
License:	LGPLv2+
URL:		https://git.gnome.org/browse/libgepub
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(webkit2gtk-4.0)

%description
libgepub is a GObject based library for handling and rendering epub
documents.

%package -n %{lib_name}
Summary:	Library for epub documents

%description -n %{lib_name}
libgepub is a GObject based library for handling and rendering epub
documents.


%package -n %{gi_name}
Summary:	GObject Introspection interface library for libsoup
Group:		System/Libraries
Conflicts:	gir-repository < 0.6.5-12.1
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libsoup.



%package -n %{develname}
Summary:	Development files for %{name}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{gi_name} = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup

%build
%configure2_5x --disable-static
%make_build


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete


%check
make check


%files -n %{lib_name}
%license COPYING
%dir %{_libdir}/girepository-1.0
%{_libdir}/libgepub.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gepub-%{api_version}.typelib

%files -n %{develname}
%{_includedir}/libgepub/
%{_libdir}/libgepub.so
%{_libdir}/pkgconfig/libgepub.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gepub-%{api_version}.gir




%changelog
* Mon Sep 26 2016 tv <tv> 0.4-3.mga6
+ Revision: 1056850
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Thu Sep 22 2016 ovitters <ovitters> 0.4-2.mga6
+ Revision: 1055230
- fix requires in devel package
- set group
- clean spec
- imported package libgepub

